Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 178127 - avahi-daemon sysinit messages are not localized
Summary: avahi-daemon sysinit messages are not localized
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-01-17 21:37 UTC by Nicolas Mailhot
Modified: 2014-03-17 02:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-11-10 19:02:11 UTC


Attachments (Terms of Use)

Description Nicolas Mailhot 2006-01-17 21:37:45 UTC
Description of problem:

The avahi-daemon sysinit script is not printing localized messages like the
others (in my case, French)

# /etc/init.d/avahi-daemon restart
Shutting down Avahi daemon:                                [  OK  ]
Starting Avahi daemon...                                   [  OK  ]

versus

# /etc/init.d/postfix restart
Arrêt de postfix :                                         [  OK  ]
Démarrage de postfix :                                     [  OK  ]


Version-Release number of selected component (if applicable):

avahi-0.6.3-1

Comment 1 Jason Vas Dias 2006-01-18 20:16:01 UTC
The initscripts package needs to be regenerated with the avahi-daemon initscript
installed in order to generate the messages to be translated, then the translation
needs to be done . The avahi-daemon initscript should be gettext ready.


Comment 2 Bill Nottingham 2006-01-18 20:19:00 UTC
Not fully, as of 0.6.3-1, at least.

$ grep echo avahi-daemon  | grep '"'
        echo -n $"Starting Avahi daemon... "
        echo -n "Shutting down Avahi daemon: "
        echo -n "Reloading Avahi daemon... "
        [ $? = 0 ] && echo "Avahi daemon is running" || echo "Avahi daemon is
not running"
        echo $"Usage: $0 {start|stop|status|restart|condrestart}"

That's at least 4 strings that aren't marked.

initscripts pot was regenerated at the string freeze, it may get regenerated later.

Comment 3 Jason Vas Dias 2006-01-19 21:53:36 UTC
OK, sorry about that - the initscript is now FULLY gettext-ized in 
avahi-0.6.4-2 - ALL echo-ed strings are in $"..." quotes.


Comment 4 Nicolas Mailhot 2006-02-05 18:51:19 UTC
Now startup is localized but shutdown isn't

Comment 5 Miloslav Trmač 2006-05-17 20:19:57 UTC
The only thing currently missing is new translations, this should get fixed during
the next string freeze.

Comment 6 Miloslav Trmač 2006-11-10 19:02:11 UTC
FC-6 contains the necessary translations at least for French and Czech.


Note You need to log in before you can comment on or make changes to this bug.